%define pkg_name        Net-Flickr-API
%define pkg_version     1.67
%define rpm_pkg_version 1.67
%define rpm_pkg_release 1.n0i.5

Summary:       Base API class for Net::Flickr::* libraries
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AS/ASCOPE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)
BuildRequires: perl(Config::Simple)
BuildRequires: perl(Flickr::API) >= 0.08
BuildRequires: perl(Log::Dispatch) >= 2.10
BuildRequires: perl(Readonly)
BuildRequires: perl(XML::XPath) >= 1.13


%description
Base API class for Net::Flickr::* libraries.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue Sep 04 2007 Marius Feraru <altblue@n0i.net> - 1.67-1.n0i.5
- version 1.67

* Sun Aug 12 2007 Marius Feraru <altblue@n0i.net> - 1.66-1.n0i.4
- version 1.66

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 1.65-1.n0i.3
- version 1.65

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.63-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.63

* Sun Apr 02 2006 Marius Feraru <altblue@n0i.net> 1.2-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.11
- rebuild on perl 5.8.8
